package domain

type AlibabaWdkCouponTemplateUpdateCouponTemplateDiscountConfig struct {
	/*
	   是否减钱 defalutValue:false    */
	Decrease *bool `json:"decrease,omitempty" `

	/*
	   减钱金额     */
	DecreaseMoney *int64 `json:"decrease_money,omitempty" `

	/*
	   是否打折 defalutValue:false    */
	Discount *bool `json:"discount,omitempty" `

	/*
	   打折额度     */
	DiscountRate *int64 `json:"discount_rate,omitempty" `

	/*
	   优惠后的固定价格     */
	FixPriceAmount *int64 `json:"fix_price_amount,omitempty" `

	/*
	   是否固定价格 defalutValue:false    */
	FixPrice *bool `json:"fix_price,omitempty" `
}

func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateDiscountConfig) SetDecrease(v bool) *AlibabaWdkCouponTemplateUpdateCouponTemplateDiscountConfig {
	s.Decrease = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateDiscountConfig) SetDecreaseMoney(v int64) *AlibabaWdkCouponTemplateUpdateCouponTemplateDiscountConfig {
	s.DecreaseMoney = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateDiscountConfig) SetDiscount(v bool) *AlibabaWdkCouponTemplateUpdateCouponTemplateDiscountConfig {
	s.Discount = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateDiscountConfig) SetDiscountRate(v int64) *AlibabaWdkCouponTemplateUpdateCouponTemplateDiscountConfig {
	s.DiscountRate = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateDiscountConfig) SetFixPriceAmount(v int64) *AlibabaWdkCouponTemplateUpdateCouponTemplateDiscountConfig {
	s.FixPriceAmount = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateDiscountConfig) SetFixPrice(v bool) *AlibabaWdkCouponTemplateUpdateCouponTemplateDiscountConfig {
	s.FixPrice = &v
	return s
}
